<?php
// Yii::setPathOfAlias('local','path/to/local-folder');
return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Robot poštár',
	'preload'=>array('log'),
  'theme'=>'black',
	'import'=>array(
		'application.models.*',
		'application.components.*',
	),

	'modules'=>array(
	/*'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'MyGiiPassword',
			'ipFilters'=>array('127.0.0.1','::1'),
		),*/
	),
	'components'=>array(
    'user'=>array(
		'allowAutoLogin'=>true,
	),
  /*'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
		),*/
		'db'=>array(
			'connectionString' => 'mysql:host=localhost;dbname=smelyZajko',
			'emulatePrepare' => true,
			'username' => 'root',
			'password' => '',
			'charset' => 'utf8',
		),		
		'errorHandler'=>array(
			'errorAction'=>'site/error',
		),
		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
        array(                       
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
			 ),
		  ),
	  ),
  ),
  'timeZone' => 'Europe/Bratislava',
	'params'=>array(
		'adminEmail'=>'admin@mail.com',
	),
);