<?php

/**
 * PostForm class.
 * It is used by the 'post' action of 'SiteController'.
 */
class PostForm extends CFormModel
{
	public $start;
	public $end;
	public $time;

	/**
	 * Declares the validation rules.
	 */
	public function rules()
	{
		return array(
			array('start, end', 'required'),
		);
	}
  
        public function validateRooms() 
        {
            if ($this->start != $this->end && date('Y-m-d H:i:s', $this->time) >= date('Y-m-d H:i:s', time()))
              return true;
            return false;
        }
	/**
	 * Declares customized attribute labels.
	 * If not declared here, an attribute would have a label that is
	 * the same as its name with the first letter in upper case.
	 */
	public function attributeLabels()
	{
            return array(
		'start'=>'Štart',
                'end' => 'Cieľ',
                'time' => 'Čas doručenia',
                'required' => 'Povinné'
            );
	}
}