<?php
/* @var $this SiteController */

$this->pageTitle=Yii::app()->name;
?>

<h2>Robot Smelý Zajko</h2>
	
	<p>Robot Smelý Zajko bol konštruovaný za účelom účasti na súťaži <a href="http://robotika.cz/competitions/robotour/cs">RoboTour</a> v roku 2010. Jeho cieľom bolo prepraviť náklad zo štartu do cieľa, pričom sa robot mohol pohybovať výhradne po cestách vyznačených v mape a nesmel prísť do kontaktu s prekážkou.</p>

  <h2>Mechanika</h2>
	<p>Samotnú konštrukciu ovplyvnili aj skúsenosti tímov z minulých ročníkov, keďže sa jednalo o 5. ročník súťaže. 	Pohon kolies je riešený pomocou systému "differential drive" - kolesá sa môžu točiť nezávisle od seba, čo umožňuje otáčanie robota na mieste a teda lepšiu manipuláciu v zúžených priestoroch. Robot má 3 kolesá čo zabezpečuje jeho lepšiu stabilitu.</p>

<h2>Systém robota</h2>
	<p>Systém robota je členený do troch softvérových modulov: lokalizácia, plánovanie, rozpoznávanie cesty a prekážky. Vstupné dáta do jednotlivých modulov poskytujú senzory: kompas, GPS, odometria (lokalizácia a plánovanie), kamera (rozpoznávanie cesty) a ultrazvukové senzory (rozpoznávanie prekážok).</p>  
  
<h2>	Rozpoznávanie cesty</h2>
  <img src="images/smelyZajko.png" alt="Robot smelý zajko" height="280px" style="float:right; margin: 5px;">
<p>	Algoritmus rozpoznávania cesty pracuje na jednotlivých snímkach nezávisle. Keďže robot sa mal pohybovať po rôznych druhoch ciest, rozpoznávanie cesty z obrazu je riešené pomocou MLP neurónovej siete, kde na vstupe robot dostane snímky z cesty. Pre označenie cesty je ručne vytvorená binárna maska, kde biela farba znázorňuje cestu v obraze. Táto sa následne aplikuje na pôvodný obrázok. Táto trojica obrázkov rovnako rozdelená do segmentov slúži ako vstup pre neurónové siete.
	Výstupom neurónovej siete bol vektor ohodnotení výhodnosti cesty pre jednotlivé smery v rozsahu <-45°, 45°>. Keďže sieť nebola príliš spoľahlivá pri zmenách osvetlenia, príp. výskytu tieňov alebo prekážok v ceste, boli výsledky ovplyvnené pridanými modulmi ako histogram farieb, ktorý zohľadňuje farbu cesty aj svetelné podmienky, alebo oblasť s väčšou pravdepodobnosťou výskytu cesty, ktorá predpokladá, že oblasť pred robotom je cesta.
	V závere bol každý smer reprezentovaný trojuholníkom, priemerná hodnota v tejto oblasti určovala cestu.</p>

<h2>Rozpoznávanie prekážok</h2>
<p>	Algoritmus na rozpoznávanie cesty čiastočne rozpoznával prekážky, primárne malo tento  problém riešiť použitie ultrazvukových senzorov.  </p>

<h2>	Lokalizácia a plánovanie</h2>
<p>	Výsledný uhol pohybu bol z globálneho hľadiska ovplyvnený aj  polohou robota na mape a plánovaným smerom cesty. Po lokalizácii na mape pomocou GPS bola naplánovaná trasa z mapy pomocou algoritmu prehľadávania do šírky.</p>


<p></p>
