--
-- Table structure for table `path_log`
--

CREATE TABLE IF NOT EXISTS `path_log` (
  `lid` int(11) NOT NULL AUTO_INCREMENT,
  `from` int(11) NOT NULL,
  `to` int(11) NOT NULL,
  `time` datetime NOT NULL,
  `state` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lid`),
  KEY `from` (`from`),
  KEY `to` (`to`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Table structure for table `position`
--

CREATE TABLE IF NOT EXISTS `position` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`pid`),
  KEY `position` (`position`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `position`
--

INSERT INTO `position` (`pid`, `position`) VALUES
(1, 1);

--
-- Table structure for table `rooms`
--

CREATE TABLE IF NOT EXISTS `rooms` (
  `rid` int(11) NOT NULL AUTO_INCREMENT,
  `room_number` varchar(6) NOT NULL,
  PRIMARY KEY (`rid`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=46 ;

--
-- Dumping data for table `rooms`
--

INSERT INTO `rooms` (`rid`, `room_number`) VALUES
(1, 'I 1'),
(2, 'I 2'),
(3, 'I 3'),
(4, 'I 4'),
(5, 'I 5'),
(6, 'I 6'),
(7, 'I 7'),
(8, 'I 8'),
(9, 'I 9'),
(10, 'I 10'),
(11, 'I 11'),
(12, 'I 12'),
(13, 'I 13'),
(14, 'I 14'),
(15, 'I 15'),
(16, 'I 16'),
(17, 'I 17'),
(18, 'I 18'),
(19, 'I 19'),
(20, 'I 20'),
(21, 'I 21'),
(22, 'I 22'),
(23, 'I 23'),
(24, 'I 24A'),
(25, 'I 24B'),
(26, 'I 25'),
(27, 'I 26'),
(28, 'I 27'),
(29, 'I 28'),
(30, 'I 29'),
(31, 'I 30'),
(32, 'I 31'),
(33, 'I 32'),
(34, 'I 33b'),
(35, 'I 33ab'),
(36, 'I 34'),
(37, 'I 35'),
(38, 'I 36'),
(39, 'I 37'),
(40, 'I 38'),
(41, 'I 39'),
(42, 'I 40'),
(43, 'I 41'),
(44, 'I 42'),
(45, 'I 43'),
(46, 'I 44'),
(47, 'I 45'),
(48, 'H 3'),
(49, 'H 6');


--
-- Constraints for table `path_log`
--
ALTER TABLE `path_log`
  ADD CONSTRAINT `path_log_2` FOREIGN KEY (`to`) REFERENCES `rooms` (`rid`),
  ADD CONSTRAINT `path_log_1` FOREIGN KEY (`from`) REFERENCES `rooms` (`rid`);

--
-- Constraints for table `position`
--
ALTER TABLE `position`
  ADD CONSTRAINT `position_1` FOREIGN KEY (`position`) REFERENCES `rooms` (`rid`) ON DELETE CASCADE ON UPDATE CASCADE;
